%define upstream_name	 Math-Pari
%define upstream_version 2.010808

%define pari_version	2.3.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl interface to PARI
License:    GPLv2+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.zip
Source1:    ftp://megrez.math.u-bordeaux.fr/pub/pari/unix/pari-%{pari_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

# Don't "provide" the redundant unversioned perl(Math::Pari)
%global __provides_exclude ^perl\\(Math::Pari\\)$

%description
This package is a Perl interface to famous library PARI for
numerical/scientific/number-theoretic calculations. It allows use of
most PARI functions as Perl functions, and (almost) seamless merging of
PARI and Perl data. See ftp://megrez.math.u-bordeaux.fr/pub/pari for
more information about PARI.

%prep
%setup -q      -n %{upstream_name}-%{upstream_version}
%setup -q -a 1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor paridir=pari-%{pari_version} < /dev/null
%make CFLAGS="%{optflags}"

%ifnarch x86_64
%endif

%install
%makeinstall_std

%files
%defattr(644,root,root,755)
%doc Changes INSTALL META.json META.yml MYMETA.yml README TODO
%{perl_vendorarch}/Math
%{perl_vendorarch}/auto/Math
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.10.808-9pclos2017
- rebuild against updates

